
Public Support - Support Request #3713

EBPRODUCTSUPPORT-1057 ADTF File Lib and Unicode

2018-08-10 10:15 - hidden

Status: Closed   

Priority: Normal   

Category:    

Customer: ELEKTROBIT Product Issue

Numbers:

 

Department: SUPPORT Affected Products: ADTF File Library 0.2.0 (BETA)

Requester's Priority: Normal Platform: Windows 7 64bit

Support Level: 2nd Level Topic: FileLibrary::Reader

Resolution: Solved Issue FAQ Links:  

Description

Supportanfrage

Hallo Florian,

Wir haben festgestellt das die ADTFFilelib kein Unicde unterstützt.

Folgendes müsste wohl mindestens angepasst werden:

OLTT's ADTF File Reader plugin depends on adtf_file library, specifically - Reader class, which takes std::string as filename. To fix

just this, the following is needed (bare minimum):

1.  adtf_util library: a separate constructor for Reader is needed that accepts std::wstring

2.  a_util library: Path class (needs to be updated to take std::wstring (and wchar_t*) for path

3.  adtf_util library: cFile class needs to be updated to call CreateFileW (Win32 API function) instead of CreateFileA which it currently

calls

4.  adtf_util library: get_sector_size_for function needs updating so that it makes call to GetDiskFreeSpaceW (Win32 API function)

there also seem to be dependencies into DDL library: cDDLImporter wants to SetFile for .description file using original filename,

which will want to load XML file (cDOM class - method of interest is ::load but whole class needs to be checked too as it uses Pugi

and passes its arguments to it - fortunately, Pugi has load method for both narrow and wide string filenames).

Was denkst du darüber?

Wie ist dann der Änderungsprozess? Wir machen einen Branch mit unseren Änderungswünschen auf und dann? Wann erfolgt der

Review bzw. die Entscheidung wann die Änderung und welche übernommen wird?

Best regards,

Anja Winkler

Lösung

Der Code kommt als Git Clone, ihr oder eure Kunden können gern Verbesserungsvorschläge umsetzen und die Diffs zurückspielen.

Die bisherigen Anforderungen an die Library sind überschaubar bzw. leiten sich aus ADTF ab.

Link zum adtf_file library Repo

Für das Integrieren von Änderungen von außen gibt's bei uns noch keinen Workflow. Ich denke das werden wir aber sehr

unkompliziert handhaben, am besten über solche Support Tickets. entwicklen, und dann ein Ticket mit einem angehängten Patch

erstellen und wir schauen uns das zeitnah an. Dabei bitte auch immer die Abwärtskompatibilität (sowohl binär als auch source) im

Auge behalten

History

#1 - 2018-08-10 10:41 - hidden

- Project changed from Public Support to 7

- Status changed from New to In Progress

2024-04-10 1/3

support.digitalwerk.net/projects/download-center/repository/show/adtf-libraries/adtf-file-library/beta-0.2.1


- Topic set to FileLibrary::Reader

- Customer set to ELEKTROBIT

- Department set to SUPPORT

- Affected Products ADTF File Library 0.2.0 (BETA) added

Hallo Anja,

der Code kommt als Git Clone, ihr oder eure Kunden können gern Verbesserungsvorschläge umsetzen und die Diffs zurückspielen.

Die bisherigen Anforderungen an die Library sind überschaubar bzw. leiten sich aus ADTF ab.

@Martin: Kannst du das Thema bitte anschauen und monitoren ?

#2 - 2018-08-13 15:30 - hidden

Hallo zurück,

habt ihr da einen Link zum Repo für uns?

Danke und Grüße,

Anja

#3 - 2018-08-14 10:33 - hidden

- Status changed from In Progress to To Be Closed

- Resolution set to Solved Issue

- Platform Windows 7 64bit added

Hi Anja,

https://support.digitalwerk.net/projects/download-center/repository/show/adtf-libraries/adtf-file-library/beta-0.2.1

Grüße,

Martin

#4 - 2018-08-14 13:00 - hidden

Hallo Martin,

wie sieht es mit der DDL und der autil library aus? Gibt es hier auch Git Repos?

Wie ist dann der Änderungsprozess? Wir machen einen Branch mit unseren Änderungswünschen auf und dann? Wann erfolgt der Review bzw. die

Entscheidung wann die Änderung und welche übernommen wird?

Danke und Grüße,

Anja

#5 - 2018-08-14 15:36 - hidden

- Status changed from To Be Closed to In Progress

Hallo Martin,

es gab hierzu noch eine Rückfrage

#6 - 2018-08-14 15:47 - hidden

Hallo Anja,

habt ihr auf den Link geklickt? Da findet ihr auch die a_util und ddl.

Für das Integrieren von Änderungen von außen gibt's bei uns noch keinen Workflow. Ich denke das werden wir aber sehr unkompliziert handhaben,

am besten über solche Support Tickets. Also entwicklen, und dann ein Ticket mit einem angehängten Patch erstellen und wir schauen uns das

zeitnah an. Dabei bitte auch immer die Abwärtskompatibilität (sowohl binär als auch source) im Auge behalten.

Grüße,

Martin

#7 - 2018-08-14 16:19 - hidden

2024-04-10 2/3

https://support.digitalwerk.net/projects/download-center/repository/show/adtf-libraries/adtf-file-library/beta-0.2.1


- Status changed from In Progress to Customer Feedback Required

#8 - 2018-08-16 09:30 - hidden

Hallo Martin,

ok, vielen Dank für die Info. Du kannst das Ticket schließen.

Best regards,

Anja Winkler

#9 - 2018-08-17 08:43 - hidden

- Subject changed from EBPRODUCTSUPPORT-1057 ADTF File Lib und Unicode to EBPRODUCTSUPPORT-1057 ADTF File Lib and Unicode

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

#10 - 2018-08-28 16:44 - hidden

- Project changed from 7 to Public Support

#11 - 2018-08-28 16:44 - hidden

- Status changed from To Be Closed to Closed

- Private changed from Yes to No
